package com.e6yun.project.sdk.api.pojo.basevo.business;

import com.google.common.base.MoreObjects;

/**
 * @Description TODO
 * @Author xxx@e6yun.com
 * @Created Date: 2021/7/7 17:40
 * @ClassName GBVideoVO
 * @Remark
 */
public class GBVideo {

    private Integer vehicleid;
    private String wid;
    private String channelids;
    private String videoqualitystr;
    private String balarmtime;
    private Integer eventtype;
    private String guid;

    public Integer getVehicleid() {
        return vehicleid;
    }

    public void setVehicleid(Integer vehicleid) {
        this.vehicleid = vehicleid;
    }

    public String getWid() {
        return wid;
    }

    public void setWid(String wid) {
        this.wid = wid;
    }

    public String getChannelids() {
        return channelids;
    }

    public void setChannelids(String channelids) {
        this.channelids = channelids;
    }

    public String getVideoqualitystr() {
        return videoqualitystr;
    }

    public void setVideoqualitystr(String videoqualitystr) {
        this.videoqualitystr = videoqualitystr;
    }

    public String getBalarmtime() {
        return balarmtime;
    }

    public void setBalarmtime(String balarmtime) {
        this.balarmtime = balarmtime;
    }

    public Integer getEventtype() {
        return eventtype;
    }

    public void setEventtype(Integer eventtype) {
        this.eventtype = eventtype;
    }

    public String getGuid() {
        return guid;
    }

    public void setGuid(String guid) {
        this.guid = guid;
    }

    @Override
    public String toString() {
        return MoreObjects.toStringHelper(this)
                .add("vehicleid", vehicleid)
                .add("wid", wid)
                .add("channelids", channelids)
                .add("videoqualitystr", videoqualitystr)
                .add("balarmtime", balarmtime)
                .add("eventtype", eventtype)
                .add("guid", guid)
                .toString();
    }
}
